<?xml version="1.0" encoding="UTF-8"?>
<!--
    Licensed to the Apache Software Foundation (ASF) under one or more
    contributor license agreements.  See the NOTICE file distributed with
    this work for additional information regarding copyright ownership.
    The ASF licenses this file to You under the Apache License, Version 2.0
    (the "License"); you may not use this file except in compliance with
    the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
  -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

  <parent>
    <groupId>org.gaixie</groupId>
    <artifactId>gaixie-parent</artifactId>
    <version>0.1.0-SNAPSHOT</version>
  </parent>

  <modelVersion>4.0.0</modelVersion>
  <groupId>org.gaixie.build</groupId>
  <artifactId>shared-plugin-settings</artifactId>

  <name>Gaixie Plugin Configuration</name>

  <packaging>pom</packaging>

  <modules>
    <module>wrappers</module>
    <module>compiled</module>
  </modules>

  <build>
    <pluginManagement>
      <plugins>
        <plugin>
          <groupId>org.ops4j</groupId>
          <artifactId>maven-pax-plugin</artifactId>
          <!--
              | enable improved OSGi compilation support for the bundle life-cycle.
              | to switch back to the standard bundle life-cycle, move this setting
              | down to the maven-bundle-plugin section
            -->
          <extensions>true</extensions>
        </plugin>
        <plugin>
          <groupId>org.apache.felix</groupId>
          <artifactId>maven-bundle-plugin</artifactId>
          <version>1.4.0</version>
        </plugin>
      </plugins>
    </pluginManagement>
  </build>

  <dependencies>
    <dependency>
      <groupId>org.mortbay.jetty</groupId>  
      <artifactId>servlet-api</artifactId> 
      <version>2.5-20081211</version> 
      <scope>provided</scope>
      <optional>true</optional>
    </dependency>
    <dependency>  
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-api</artifactId>
      <version>1.5.10</version> 
      <scope>provided</scope>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>ch.qos.logback</groupId>
      <artifactId>logback-core</artifactId>
      <version>0.9.18</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>ch.qos.logback</groupId>
      <artifactId>logback-classic</artifactId>
      <version>0.9.18</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.7</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.mockito</groupId>
      <artifactId>mockito-all</artifactId>
      <version>1.8.2</version>
      <scope>test</scope>
    </dependency>
    <dependency> 
      <groupId>commons-dbcp</groupId>
      <artifactId>commons-dbcp</artifactId> 
      <version>1.4</version>
      <scope>test</scope>   
    </dependency>
     <dependency>
      <groupId>commons-pool</groupId>
      <artifactId>commons-pool</artifactId>
      <version>1.5.4</version>
      <scope>test</scope>
    </dependency>
    <dependency>  
      <groupId>org.apache.derby</groupId>  
      <artifactId>derby</artifactId>  
      <version>10.5.3.0_1</version>
      <scope>test</scope>  
    </dependency>
  </dependencies>

</project>
